org.apache.felix.scrplugin.mojo

## Class MavenProjectScanner

- java.lang.Object
- - org.apache.felix.scrplugin.mojo.MavenProjectScanner

    public class MavenProjectScanner
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MavenProjectScanner(org.sonatype.plexus.build.incremental.BuildContext buildContext, org.apache.maven.project.MavenProject project, String includeString, String excludeString, boolean scanClasses, org.apache.felix.scrplugin.Log log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<org.apache.felix.scrplugin.Source>` `getDeletedSources()` Returns all sources which were deleted since the previous build
`List<File>` `getDependencies()` Return all dependencies
`Collection<org.apache.felix.scrplugin.Source>` `getSources()` Return all sources.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MavenProjectScanner

    public MavenProjectScanner(org.sonatype.plexus.build.incremental.BuildContext buildContext,
                               org.apache.maven.project.MavenProject project,
                               String includeString,
                               String excludeString,
                               boolean scanClasses,
                               org.apache.felix.scrplugin.Log log)

### Method Detail

#### getSources

    public Collection<org.apache.felix.scrplugin.Source> getSources()

Return all sources.

#### getDeletedSources

    public Collection<org.apache.felix.scrplugin.Source> getDeletedSources()

Returns all sources which were deleted since the previous build

Returns:
  the deleted sources

#### getDependencies

    public List<File> getDependencies()

Return all dependencies